[Twisted-Python] Will twisted be using generators new in Python 2.3?

Dmitry Litovchenko kwaker at uch.net
Mon Feb 10 20:04:02 EST 2003

Hello Bob,

>> i.e. will we simplify our life by using generators from Python 2.3, I
>> thought of that already but currently have Twisted windows binaries
>> only for Python 2.2.

BI> We've been over this one before.  Although generators have been in 
BI> __future__ for all of 2.2, Twisted can't use generators so long as we 
BI> need to support 2.1.  As far as I know, we need to have full support 
BI> for 2.1 as long as Zope requires it.

I am using Zope for a long time too, and didn't see any tracks of
Twisted there, Medusa only. I can't see any other reason for binding
to 2.1 and not moving towards to Python's bright future.

Due to my high interest to Zope, I even downloaded Zope-3's first
release and also didn't find tracks of Twisted there. Zopistas usually
name core folders honestly, not hiding used 3rd party package names,
just like it was folder "Medusa" in Zope 2.x.

Best regards,
 Dmitry                            mailto:kwaker at uch.net

More information about the Twisted-Python mailing list